Hello community,

here is the log from the commit of package frameworkintegration for 
openSUSE:Factory checked in at 2017-07-17 10:21:22
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/frameworkintegration (Old)
 and      /work/SRC/openSUSE:Factory/.frameworkintegration.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "frameworkintegration"

Mon Jul 17 10:21:22 2017 rev:47 rq:509879 version:5.36.0

Changes:
--------
--- 
/work/SRC/openSUSE:Factory/frameworkintegration/frameworkintegration.changes    
    2017-07-05 23:49:22.444840509 +0200
+++ 
/work/SRC/openSUSE:Factory/.frameworkintegration.new/frameworkintegration.changes
   2017-07-17 10:22:33.760382660 +0200
@@ -1,0 +2,10 @@
+Wed Jul 12 07:13:58 CEST 2017 - lbeltr...@kde.org
+
+- Update to 5.36.0
+  * New feature release
+  * For more details please see:
+  * https://www.kde.org/announcements/kde-frameworks-5.36.0.php
+- Changes since 5.35.0:
+  * cmake: use ecm_add_test more
+
+-------------------------------------------------------------------

Old:
----
  frameworkintegration-5.35.0.tar.xz

New:
----
  frameworkintegration-5.36.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ frameworkintegration.spec ++++++
--- /var/tmp/diff_new_pack.N52WS3/_old  2017-07-17 10:22:34.240315005 +0200
+++ /var/tmp/diff_new_pack.N52WS3/_new  2017-07-17 10:22:34.240315005 +0200
@@ -17,9 +17,9 @@
 
 
 %define lname   libKF5Style5
-%define _tar_path 5.35
+%define _tar_path 5.36
 Name:           frameworkintegration
-Version:        5.35.0
+Version:        5.36.0
 Release:        0
 %define kf5_version %{version}
 BuildRequires:  cmake >= 3.0

++++++ frameworkintegration-5.35.0.tar.xz -> frameworkintegration-5.36.0.tar.xz 
++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/frameworkintegration-5.35.0/CMakeLists.txt 
new/frameworkintegration-5.36.0/CMakeLists.txt
--- old/frameworkintegration-5.35.0/CMakeLists.txt      2017-06-03 
10:45:43.000000000 +0200
+++ new/frameworkintegration-5.36.0/CMakeLists.txt      2017-06-30 
12:15:52.000000000 +0200
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(KF5_VERSION "5.35.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.35.0") # handled by release scripts
+set(KF5_VERSION "5.36.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.36.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.35.0  NO_MODULE)
+find_package(ECM 5.36.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake 
Modules." URL 
"https://projects.kde.org/projects/kdesupport/extra-cmake-modules";)
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND 
FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/frameworkintegration-5.35.0/autotests/CMakeLists.txt 
new/frameworkintegration-5.36.0/autotests/CMakeLists.txt
--- old/frameworkintegration-5.35.0/autotests/CMakeLists.txt    2017-06-03 
10:45:43.000000000 +0200
+++ new/frameworkintegration-5.36.0/autotests/CMakeLists.txt    2017-06-30 
12:15:52.000000000 +0200
@@ -1,5 +1,6 @@
 include(ECMMarkAsTest)
 include(ECMMarkNonGuiExecutable)
+include(ECMAddTests)
 
 find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
 
@@ -16,12 +17,11 @@
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 macro(FRAMEWORKINTEGRATION_TESTS _testname)
-    add_executable(${_testname} ${_testname}.cpp ${ARGN})
+    ecm_add_test(${_testname}.cpp ${ARGN}
+                 LINK_LIBRARIES Qt5::Test KF5::ConfigWidgets KF5::ConfigCore 
KF5::IconThemes KF5::Style KF5::Notifications
+                 TEST_NAME ${_testname}
+                 NAME_PREFIX "frameworkintegration-")
     set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS "-DUNIT_TEST")
-    add_test(frameworkintegration-${_testname} ${_testname})
-    ecm_mark_as_test(${_testname})
-    ecm_mark_nongui_executable(${_testname})
-    target_link_libraries(${_testname} Qt5::Test KF5::ConfigWidgets 
KF5::ConfigCore KF5::IconThemes KF5::Style KF5::Notifications)
 endmacro()
 
 frameworkintegration_tests(
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/frameworkintegration-5.35.0/plasma_workspace.notifyrc 
new/frameworkintegration-5.36.0/plasma_workspace.notifyrc
--- old/frameworkintegration-5.35.0/plasma_workspace.notifyrc   2017-06-03 
10:45:43.000000000 +0200
+++ new/frameworkintegration-5.36.0/plasma_workspace.notifyrc   2017-06-30 
12:15:52.000000000 +0200
@@ -1701,7 +1701,7 @@
 Name[sr@ijekavianlatin]=Propalo instaliranje vidžeta
 Name[sr@latin]=Propalo instaliranje vidžeta
 Name[sv]=Installation av grafisk komponent misslyckades
-Name[tr]=Parçacık yüklemeyi başaramadı
+Name[tr]=Gereç yüklemeyi başaramadı
 Name[uk]=Не вдалося встановити віджет
 Name[x-test]=xxWidget failed to installxx
 Name[zh_CN]=安装部件失败
@@ -1739,7 +1739,7 @@
 Comment[sr@ijekavianlatin]=Vidžet ne može da se instalira
 Comment[sr@latin]=Vidžet ne može da se instalira
 Comment[sv]=En grafisk komponent kunde inte installeras
-Comment[tr]=Bir parçacık yüklenemedi
+Comment[tr]=Bir gereç yüklenemedi
 Comment[uk]=Не вдалося встановити віджет
 Comment[x-test]=xxA widget could not be installedxx
 Comment[zh_CN]=无法安装部件
@@ -1782,7 +1782,7 @@
 Name[sr@ijekavianlatin]=Vidžet obrisan
 Name[sr@latin]=Vidžet obrisan
 Name[sv]=Grafisk komponent borttagen
-Name[tr]=Parçacık silindi
+Name[tr]=Gereç silindi
 Name[uk]=Віджет вилучено
 Name[x-test]=xxWidget deletedxx
 Name[zh_CN]=部件已删除
@@ -1822,7 +1822,7 @@
 Comment[sr@ijekavianlatin]=Vidžet je obrisan
 Comment[sr@latin]=Vidžet je obrisan
 Comment[sv]=En grafisk komponent har tagits bort
-Comment[tr]=Bir parçacık silindi
+Comment[tr]=Bir gereç silindi
 Comment[uk]=Віджет було вилучено
 Comment[x-test]=xxA widget has been deletedxx
 Comment[zh_CN]=一个部件已删除


Reply via email to